From d0d6e57f48d7ccd038ba3e1d6642eecc4e7360bc Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Wed, 21 Mar 2012 19:49:30 +0100
Subject: [PATCH 15/15] configure.ac: added support for iOS

---
 configure.ac |   46 +++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 43 insertions(+), 3 deletions(-)

diff --git a/configure.ac b/configure.ac
index 4c16c28..e860fda 100644
--- a/configure.ac
+++ b/configure.ac
@@ -142,6 +142,10 @@ case "${host_os}" in
       x86_64*)
         ARCH_flag="-arch x86_64"
       ;;
+      arm*)
+        ARCH_flag="-arch armv7"
+        ac_cv_c_bigendian="no"
+      ;;
     esac
 
     SYS=darwin
@@ -170,6 +174,10 @@ case "${host_os}" in
     dnl
     dnl  Check for Mac OS X SDK settings
     dnl
+AC_ARG_ENABLE(macosx,
+  [  --enable-macosx         Enable Mac OS X support (default enabled on Mac OS X)])
+if test "x${enable_macosx}" != "xno" && test "${SYS}" = "darwin"
+then
     AC_ARG_WITH(macosx-sdk,
       [AS_HELP_STRING([--with-macosx-sdk=DIR],
         [compile using the SDK in DIR])])
@@ -191,6 +199,38 @@ case "${host_os}" in
     CXXFLAGS="${CXXFLAGS} -DMACOSX_DEPLOYMENT_TARGET=${with_macosx_version_min}"
     OBJCFLAGS="${OBJCFLAGS} -DMACOSX_DEPLOYMENT_TARGET=${with_macosx_version_min}"
     export MACOSX_DEPLOYMENT_TARGET
+fi
+    dnl
+    dnl  Check for iOS SDK settings
+    dnl
+    AC_ARG_ENABLE(ios,
+  [  --enable-ios            Enable iOS support (default disabled)])
+if test "x${enable_ios}" = "yes" && test "${SYS}" = "darwin"
+then
+    AC_ARG_WITH(ios-sdk,
+      [AS_HELP_STRING([--with-ios-sdk=DIR],
+        [compile using the SDK in DIR])])
+    test "${with_ios_sdk}" = "" && with_macosx_sdk=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS5.1.sdk
+    test ! -d "${with_ios_sdk}" && AC_MSG_ERROR([SDK "${with_ios_sdk}" not found])
+    AC_ARG_WITH(ios-version-min,
+      [AS_HELP_STRING([--with-ios-version-min=VERSION],
+        [compile for iOS VERSION and above])])
+    if test "${with_ios_version_min}" = "" ; then
+       with_ios_version_min=5.0
+    fi
+    IPHONEOS_DEPLOYMENT_TARGET=${with_ios_version_min}
+    CPP="${CPP} -isysroot ${with_ios_sdk} -miphoneos-version-min=${with_ios_version_min}"
+    CC="${CC} -isysroot ${with_ios_sdk} -miphoneos-version-min=${with_ios_version_min}"
+    CXX="${CXX} -isysroot ${with_ios_sdk} -miphoneos-version-min=${with_ios_version_min}"
+    CXXCPP="${CXXCPP} -isysroot ${with_ios_sdk} -miphoneos-version-min=${with_ios_version_min}"
+    OBJC="${OBJC} -isysroot ${with_ios_sdk} -miphoneos-version-min=${with_ios_version_min}"
+    LD="${LD} -syslibroot ${with_ios_sdk} -miphoneos-version-min=${with_ios_version_min}"
+    CFLAGS="${CFLAGS} -DIPHONEOS_DEPLOYMENT_TARGET=${with_ios_version_min}"
+    CPPFLAGS="${CPPFLAGS} -DIPHONEOS_DEPLOYMENT_TARGET=${with_ios_version_min}"
+    CXXFLAGS="${CXXFLAGS} -DIPHONEOS_DEPLOYMENT_TARGET=${with_ios_version_min}"
+    OBJCFLAGS="${OBJCFLAGS} -DIPHONEOS_DEPLOYMENT_TARGET=${with_ios_version_min}"
+    export IPHONEOS_DEPLOYMENT_TARGET
+fi
     ;;
   *mingw32* | *cygwin* | *wince* | *mingwce*)
     AC_CHECK_TOOL(WINDRES, windres, :)
@@ -3730,9 +3770,9 @@ AS_IF([test "${enable_skins2}" = "yes" && test "${enable_libtar}" != "no"], [
 dnl
 dnl  MacOS X gui module
 dnl
-AC_ARG_ENABLE(macosx,
-  [  --enable-macosx         Mac OS X gui support (default enabled on Mac OS X)])
-if test "x${enable_macosx}" != "xno" -a "${SYS}" = "darwin"
+AC_ARG_ENABLE(macosx-gui,
+  [  --enable-macosx-gui         Mac OS X gui support (default enabled on Mac OS X)])
+if test "x${enable_macosx_gui}" != "xno" -a "${SYS}" = "darwin"
 then
   VLC_ADD_LIBS([macosx minimal_macosx], [-Wl,-framework,Cocoa -Wl,-framework,OpenGL -Wl,-framework,Carbon -Wl,-framework,CoreServices -Wl,-framework,AGL])
   VLC_ADD_OBJCFLAGS([macosx minimal_macosx], [-fobjc-exceptions] )
-- 
1.7.7.5 (Apple Git-26)

